#include <stdio.h>
#include <stdlib.h>
#include "config.h"

int fileseek(FILE *in, off_t offset, int whence)
{
   char *iobuf;
   off_t i;
   
   i = offset;
   iobuf = (char *) malloc(BUF_SIZE*sizeof(char));
   if(iobuf == NULL)
   {
      fprintf(stderr, "Error: could not malloc!\n"); 
      return -1;
   }
   
   while(i >= BUF_SIZE)
   {
      if(fread(iobuf, 1, BUF_SIZE, in) != BUF_SIZE)
      {
	 return -1;
      }
      i -= BUF_SIZE;
   }
   if(fread(iobuf, 1, i, in) != i)
   {
      return -1;
   }
   if(iobuf)
   {
      free(iobuf);
   }
   return 0;
}
